! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

! Example 5.32. Ising transition model.
  program F32
    use F32M
    implicit none
    integer :: K
! start program F32
    call Fill( )
    do K = 1, 40
      call Transition( )
    end do
    stop
  end program F32
